Description

Znaki końca wiersza zamieniać na spację.
Pusta linia rozdziela wpisy bibliograficzne (tak samo akapity w opisach).

Motywacja: potrzebny mechanizm do ułatwienia copy/paste bibligrafii/opisów z pdf, pojedynczy wpis z pdf jest zwykle pocięty na wiele
wierszy, które są dodawane w jupiterze jako osobne referencje.

Associated revisions
Revision 9c666589 - 2018-04-03 14:41 - Jarosław Bąbel

refs #1948 #1949 refaktoryzacja logiki wyboru parsera, poprawienie obsługi błędów parsowania bibliografii

Revision 31dd2e6a - 2018-04-10 15:18 - Jarosław Bąbel

refs #1949 mechanizm wyboru preprocesorów bibliografii

Revision 18861e83 - 2018-04-11 09:57 - Jarosław Bąbel

refs #1949 preprocesor bibliografii łączący linie z tekstem i redukujący następujące po sobie puste linie do jednej pustej linii

Revision efac22ad - 2018-04-11 14:11 - Jarosław Bąbel

refs #1949 odseparowanie enuma wyświetlanego jako formaty bibliografii w UI

Revision db2229e6 - 2018-04-12 10:37 - Jarosław Bąbel

refs #1949 preprocesor bibliografii usuwający numery poprzedzone białymi znakami z początków wierszy w formatach: nbiałyznak n. (n) [n]

Revision 4f8a32c5 - 2018-04-12 11:52 - Jarosław Bąbel

refs #1949 preprocesor bibliografii łączący linie zamiast tylko usuwać nowe liniie wstawia w ich miejsce spację, poprawki do testów

Revision 76960482 - 2018-04-12 12:35 - Jarosław Bąbel

refs #1949 przed zapisem dokumentu łączy linie opisów
History
#1 - 2018-04-03 12:15 - Jarosław Bąbel
- Status changed from Nowy to W toku

#2 - 2018-04-16 13:12 - Jarosław Bąbel
- Subject changed from Wstępne przetwarzanie bibliografii wprowadzonej w polu tekstowym to Wstępne przetwarzanie bibliografii i opisów
- Description updated
- Status changed from W toku to Rozwiązany
